
<form name="form" novalidate>


<div id="top_of_dialog">
	<strong>Messaggio SQS</strong>
</div>

<!--  -- >
<div class="medium" style="color: #7f7f7f">
Se scegli di contrassegnare quest'opera come non codificabile, il sistema assocer&agrave;
a questa combinazione anagrafica un codice opera speciale che consentir&agrave; di
riconoscere l'opera come non codificabile anche per le future utilizzazioni.
</div>
<!--  -->

<div style="margin-top: 5px">
	<table class="table table-bordered blockContainer showInlineTable equalSplit">
		<thead>
			<tr>
				<th class="blockHeader" colspan="4">Messaggio</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td class="fieldLabel medium" nowrap >
					<label class="muted pull-right marginRight10px">
						Coda
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid" >
						<span class="span10">{{ctrl.serviceBus.queueName}}</span>
					</div>
				</td>
			</tr>
			<tr>
				<td class="fieldLabel medium" nowrap>
					<label class="muted pull-right marginRight10px">
						Data Transito
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid" >
						<span class="span10">{{ctrl.serviceBus.insertTime | date:'d MMMM yyyy  HH:mm:ss'}}</span>
					</div>
				</td>
			</tr>
			<tr>
				<td class="fieldLabel medium" nowrap >
					<label class="muted pull-right marginRight10px">
						UUID
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">{{ctrl.serviceBus.json.header.uuid}}</span>
					</div>
				</td>
			</tr>
			<tr ng-show="ctrl.serviceBus.idDsr">
				<td class="fieldLabel medium" nowrap >
					<label class="muted pull-right marginRight10px">
						DSR
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">{{ctrl.serviceBus.idDsr}}</span>
					</div>
				</td>
			</tr>
			<tr ng-show="ctrl.serviceBus.idDsp">
				<td class="fieldLabel medium" nowrap >
					<label class="muted pull-right marginRight10px">
						DSP
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">{{ctrl.decode.idDsps[ctrl.serviceBus.idDsp]}}</span>
					</div>
				</td>
			</tr>
			<tr ng-show="ctrl.serviceBus.queueType">
				<td class="fieldLabel medium" nowrap >
					<label class="muted pull-right marginRight10px">
						Tipo
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">{{ctrl.serviceBus.queueType}}</span>
					</div>
				</td>
			</tr>
			<tr ng-show="ctrl.serviceBus.serviceName">
				<td class="fieldLabel medium" nowrap >
					<label class="muted pull-right marginRight10px">
						Modulo
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">{{ctrl.serviceBus.serviceName}}</span>
					</div>
				</td>
			</tr>
			<tr ng-show="ctrl.serviceBus.month && ctrl.serviceBus.year">
				<td class="fieldLabel medium" nowrap >
					<label class="muted pull-right marginRight10px">
						Periodo
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">{{ctrl.decode.month[ctrl.serviceBus.month]}} {{ctrl.serviceBus.year}}</span>
					</div>
				</td>
			</tr>
			<tr ng-show="ctrl.serviceBus.country">
				<td class="fieldLabel medium" nowrap >
					<label class="muted pull-right marginRight10px">
						Nazionalit&agrave;
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">{{ctrl.decode.countries[ctrl.serviceBus.country]}}</span>
					</div>
				</td>
			</tr>
			<tr ng-show="ctrl.serviceBus.hostname">
				<td class="fieldLabel medium" nowrap >
					<label class="muted pull-right marginRight10px">
						EC2 Hostname / EMR Cluster ID
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">{{ctrl.serviceBus.hostname}}</span>
					</div>
				</td>
			</tr>	
			<tr ng-show="ctrl.serviceBus.json.error">
				<td class="fieldLabel medium" nowrap >
					<label class="muted pull-right marginRight10px">
						Error Code
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">{{ctrl.serviceBus.json.error.code}}</span>
					</div>
				</td>
			</tr>
			<tr ng-show="ctrl.serviceBus.json.error">
				<td class="fieldLabel medium" nowrap >
					<label class="muted pull-right marginRight10px">
						Error Description
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">{{ctrl.serviceBus.json.error.description}}</span>
					</div>
				</td>
			</tr>
			<tr>
				<td class="fieldLabel medium" nowrap >
					<label class="muted pull-right marginRight10px">
						Message JSON
					</label>
				</td>
				<td class="fieldValue medium"  ng-hide="!ctrl.serviceBus.json">
					<div class="row-fluid"">
						<textarea class="span10" rows="8">{{ctrl.serviceBus.json | json}}</textarea>
					</div>
				</td>
				<td class="fieldValue medium" ng-hide="!ctrl.serviceBus.jsonError">
					<div class="row-fluid"">
						<span class="span10" style="color: red;">{{ctrl.serviceBus.jsonError}}</span>
					</div>
				</td>
			</tr>
			<tr>
				<td class="fieldLabel medium" nowrap >
					<label class="muted pull-right marginRight10px">
						Message Text
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<textarea class="span10" rows="8">{{ctrl.serviceBus.messageJson}}</textarea>
					</div>
				</td>
			</tr>
		</tbody>
	</table>
</div>

<div style="margin-top: 15px">
	<table width="100%">
	<tr>
		<td>
<!--  -- >
			<button type="button" class="btn addButton" ng-click="cancel()">
				<span class="glyphicon glyphicon-remove"></span>&nbsp;&nbsp;<strong>Annulla</strong>
			</button>
<!-- -->
		</td>
		<td align="right">
			<button ng-disabled="form.$invalid" class="btn addButton" ng-click="cancel()">
				<span class="glyphicon glyphicon-remove"></span>&nbsp;&nbsp;<strong>Chiudi</strong>
			</button>
		</td>
	</tr>
	</table>
</div>

</form>

<script type="text/javascript">
$('#top_of_dialog')[0].scrollIntoView( true );
</script>
